Bug 1333922 - Eclipse Neon (4.6.3): Many Gtk+ warnings due to broken GUI code
Summary: Eclipse Neon (4.6.3): Many Gtk+ warnings due to broken GUI code
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Alexander Kurtakov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-06 16:35 UTC by Christian Stadelmann
Modified: 2018-05-03 12:45 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-03 12:45:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Eclipse Project 486068 None None None 2017-05-18 16:17:04 UTC

Description Christian Stadelmann 2016-05-06 16:35:31 UTC
Description of problem:
Massive G

Version-Release number of selected component (if applicable):
eclipse-swt-4.6.0-0.5.git201604261105.fc24.x86_64

How reproducible:
always, just start eclipse on Fedora 24 with wayland backend

Steps to Reproduce:
1. start eclipse on a gnome+wayland session
2. have a look at syslog or stdout/stderr

Actual results:
many warnings, most of them caused by improper usage of Gtk+ API:

$ eclipse -clean -data /tmp/test-workspace
CompilerOracle: exclude org/eclipse/core/internal/dtree/DataTreeNode.forwardDeltaWith
CompilerOracle: exclude org/eclipse/jdt/internal/compiler/lookup/ParameterizedMethodBinding.<init>
CompilerOracle: exclude org/eclipse/cdt/internal/core/dom/parser/cpp/semantics/CPPTemplates.instantiateTemplate
CompilerOracle: exclude org/eclipse/cdt/internal/core/pdom/dom/cpp/PDOMCPPLinkage.addBinding
CompilerOracle: exclude org/python/pydev/editor/codecompletion/revisited/PythonPathHelper.isValidSourceFile
CompilerOracle: exclude org/eclipse/tycho/core/osgitools/EquinoxResolver.newState
xkbcommon: ERROR: Key "<LFSH>" added to modifier map for multiple modifiers; Using Lock, ignoring Shift

(Eclipse:5282): Gtk-WARNING **: Negative content width -6 (allocation 1, extents 4x3) while allocating gadget (node toolbar, owner GtkToolbar)

(Eclipse:5282): Gtk-WARNING **: Negative content height -3 (allocation 1, extents 2x2) while allocating gadget (node toolbar, owner GtkToolbar)

(Eclipse:5282): Gtk-WARNING **: Negative content width -6 (allocation 1, extents 4x3) while allocating gadget (node toolbar, owner GtkToolbar)

(Eclipse:5282): Gtk-WARNING **: Negative content height -3 (allocation 1, extents 2x2) while allocating gadget (node toolbar, owner GtkToolbar)

(Eclipse:5282): Gtk-WARNING **: Negative content width -6 (allocation 1, extents 4x3) while allocating gadget (node toolbar, owner GtkToolbar)

(Eclipse:5282): Gtk-WARNING **: Negative content height -3 (allocation 1, extents 2x2) while allocating gadget (node toolbar, owner GtkToolbar)

(Eclipse:5282): Gtk-WARNING **: Negative content width -6 (allocation 1, extents 4x3) while allocating gadget (node toolbar, owner GtkToolbar)

(Eclipse:5282): Gtk-WARNING **: Negative content height -3 (allocation 1, extents 2x2) while allocating gadget (node toolbar, owner GtkToolbar)

(Eclipse:5282): Gtk-WARNING **: Negative content width -6 (allocation 1, extents 4x3) while allocating gadget (node toolbar, owner GtkToolbar)

(Eclipse:5282): Gtk-WARNING **: Negative content height -3 (allocation 1, extents 2x2) while allocating gadget (node toolbar, owner GtkToolbar)

(Eclipse:5282): Gtk-WARNING **: Allocating size to GtkBox 0x7fd3b1d86cf0 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?

(Eclipse:5282): Gtk-WARNING **: Negative content width -6 (allocation 1, extents 4x3) while allocating gadget (node toolbar, owner GtkToolbar)

(Eclipse:5282): Gtk-WARNING **: Negative content height -3 (allocation 1, extents 2x2) while allocating gadget (node toolbar, owner GtkToolbar)

(Eclipse:5282): Gtk-WARNING **: Negative content width -6 (allocation 1, extents 4x3) while allocating gadget (node toolbar, owner GtkToolbar)

(Eclipse:5282): Gtk-WARNING **: Negative content height -3 (allocation 1, extents 2x2) while allocating gadget (node toolbar, owner GtkToolbar)

(Eclipse:5282): Gtk-WARNING **: Negative content height -9 (allocation 1, extents 5x5) while allocating gadget (node button, owner GtkButton)
xkbcommon: ERROR: Key "<LFSH>" added to modifier map for multiple modifiers; Using Lock, ignoring Shift

(Eclipse:5282): Gtk-WARNING **: Allocating size to GtkBox 0x7fd3b1d86cf0 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?

(Eclipse:5282): Gtk-WARNING **: Negative content width -6 (allocation 1, extents 4x3) while allocating gadget (node toolbar, owner GtkToolbar)

(Eclipse:5282): Gtk-WARNING **: Negative content width -1 (allocation 1, extents 1x1) while allocating gadget (node trough, owner GtkProgressBar)

(Eclipse:5282): Gtk-WARNING **: Negative content width -1 (allocation 1, extents 1x1) while allocating gadget (node trough, owner GtkProgressBar)

(Eclipse:5282): Gtk-WARNING **: Negative content width -13 (allocation 5, extents 9x9) while allocating gadget (node entry, owner GtkEntry)
Gdk-Message: Window 0x7fd3b1f08e60 is a temporary window without parent, application will not be able to position it on screen.
Gdk-Message: Window 0x7fd3b1f08e60 is a temporary window without parent, application will not be able to position it on screen.
Gdk-Message: Window 0x7fd3b1f08e60 is a temporary window without parent, application will not be able to position it on screen.
Gdk-Message: Window 0x7fd3b1f08e60 is a temporary window without parent, application will not be able to position it on screen.

(Eclipse:5282): Gdk-WARNING **: gdkcursor-wayland.c:170: Unable to load x_cursor from the cursor theme


Expected results:
just a few warnings or – at best – no warnings at all.

Additional info:
These warnings were introduced in Gtk+ 3.20 and were not present in Gtk+ 3.18.

Comment 1 Mat Booth 2017-05-18 12:16:03 UTC
Hi Leo,

Is there a corresponding upstream bug for this that we can follow?

Comment 2 Lev Ufimtsev 2017-05-18 14:41:59 UTC
(In reply to Mat Booth from comment #1)
> Hi Leo,
> 
> Is there a corresponding upstream bug for this that we can follow?

Bug 486068 – [GTK3.20] Allocation warnings printed in error console 
https://bugs.eclipse.org/bugs/show_bug.cgi?id=486068

Comment 3 Mat Booth 2017-05-18 16:17:05 UTC
Thanks

Comment 4 Fedora End Of Life 2018-05-03 08:41:43 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Mat Booth 2018-05-03 12:45:47 UTC
I think we are seeing a lot fewer warnings these days thanks to Eric's work upstream. So I'm happy to see this bug closed.

The work to fix these is always ongoing as there are always new GTK releases to change things :-) Those interested in the continuing work should follow the upstream bug as that is where the work is happening.


Note You need to log in before you can comment on or make changes to this bug.